### Extra operations from Moen et al. 2013 functional analysis (get data ready)

all.data <- read.csv("R.analysis.inter.12june12.csv",header=T,row.names = 1)
all.data <- as.data.frame(all.data)
nmorph <- 10 # User-inputted number of morphological variables
all.data[,3:(2+nmorph)] <- log(all.data[,3:(2+nmorph)]) # Need to tranform morphological variables, ln-transform for all morphology seems to be best for all

# Load tree
tree <- read.tree("2013_procrsoc.tre")

# Name check
name.check(tree, all.data)